#!/bin/bash

set -e

if [ "$TARGETPLATFORM" == "linux/amd64" ]
then
    echo "install MS ODBC for $TARGETPLATFORM"
    curl https://packages.microsoft.com/keys/microsoft.asc | apt-key add -
    curl https://packages.microsoft.com/config/debian/8/prod.list >  /etc/apt/sources.list.d/mssql-release.list
    apt-get update -y
    ACCEPT_EULA=Y apt-get install -y msodbcsql17
    ACCEPT_EULA=Y apt-get install -y mssql-tools
    echo 'export PATH="$PATH:/opt/mssql-tools/bin"' >> ~/.bash_profile
    echo 'export PATH="$PATH:/opt/mssql-tools/bin"' >> ~/.bashrc
    rm -rf /var/lib/apt/lists/*
else
    echo "skip MS ODBC for $TARGETPLATFORM"
fi
